<!--<?xml version="1.0" encoding="utf-8" ?>-->
<!--<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >-->
<!--<mapper namespace="com.backendsys.mapper.System.SysAgreementMapper">-->

<!--    <sql id="includeSysAgreement">-->
<!--        id,-->
<!--        id agreement_id,-->
<!--        tag,-->
<!--        title,-->
<!--        COALESCE(sort, '') sort,-->
<!--        status,-->
<!--        create_time,-->
<!--        update_time-->
<!--    </sql>-->

<!--    <sql id="includeSysAgreementDetail">-->
<!--        id,-->
<!--        id agreement_id,-->
<!--        tag,-->
<!--        title,-->
<!--        content,-->
<!--        COALESCE(sort, '') sort,-->
<!--        status,-->
<!--        create_time,-->
<!--        update_time-->
<!--    </sql>-->

<!--    <resultMap id="resultMapSysAgreement" type="java.util.LinkedHashMap">-->
<!--        <id property="id" column="id" jdbcType="BIGINT" />-->
<!--        <result property="agreement_id" column="agreement_id" javaType="java.lang.Long"/>-->
<!--        <result property="tag" column="tag" />-->
<!--        <result property="title" column="title" />-->
<!--        <result property="sort" column="sort" javaType="java.lang.Integer" />-->
<!--        <result property="status" column="status" javaType="java.lang.Integer" />-->
<!--        <result property="create_time" column="create_time" />-->
<!--        <result property="update_time" column="update_time" />-->
<!--    </resultMap>-->

<!--    <resultMap id="resultMapSysAgreementDetail" type="java.util.LinkedHashMap">-->
<!--        <id property="id" column="id" jdbcType="BIGINT" />-->
<!--        <result property="agreement_id" column="agreement_id" javaType="java.lang.Long"/>-->
<!--        <result property="tag" column="tag" />-->
<!--        <result property="title" column="title" />-->
<!--        <result property="content" column="content" />-->
<!--        <result property="sort" column="sort" javaType="java.lang.Integer" />-->
<!--        <result property="status" column="status" javaType="java.lang.Integer" />-->
<!--        <result property="create_time" column="create_time" />-->
<!--        <result property="update_time" column="update_time" />-->
<!--    </resultMap>-->

<!--    <select id="querySysAgreement" resultMap="resultMapSysAgreement">-->
<!--        SELECT <include refid="includeSysAgreement" />-->
<!--        FROM sys_agreement-->
<!--        ORDER BY sort DESC-->
<!--    </select>-->

<!--    <select id="querySysAgreementDetailByTag" resultMap="resultMapSysAgreementDetail">-->
<!--        SELECT <include refid="includeSysAgreementDetail" />-->
<!--        FROM sys_agreement-->
<!--        WHERE tag = #{tag}-->
<!--    </select>-->

<!--</mapper>-->